{$DEFINE DELPHI4}
unit DFAniCursorReg;

interface

uses
 {$IFDEF DELPHI6}
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, DesignIntf, DesignEditors;
 {$ENDIF}
 {$IFDEF DELPHI5}
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, DsgnIntf;
 {$ENDIF}
 {$IFDEF DELPHI4}
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, DsgnIntf;
 {$ENDIF}

type
  TDFAniCursorStringProperty = class(TStringProperty)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
  end;

procedure Register;

implementation

uses
  DFAniCursor;

procedure Register;
begin
  RegisterComponents('DFrisch', [TDFAniCursor]);
  RegisterPropertyEditor(TypeInfo(TDFAniCursorString), TDFAniCursor,
                         'AniCursorFile', TDFAniCursorStringProperty);
end;

procedure TDFAniCursorStringProperty.Edit;
begin
  with TOpenDialog.Create(nil) do
  begin
    try
      Filter     := 'Ani-Cursor (*.ani)|*.ani|Alle Dateien (*.*)|*.*';
      DefaultExt := '*.ani';
      Title      := 'Whlen Sie einen animierten Cursor aus ...';
      if Execute then
        SetStrValue(FileName);
    finally
      Free;
    end;
  end;
end;

function TDFAniCursorStringProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

end.
